Bug 1657210 - [abrt] cscope: changestring(): cscope killed by SIGABRT
Summary: [abrt] cscope: changestring(): cscope killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cscope
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neil Horman
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4503e9a2ca4603942fec5cc4962...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-07 13:29 UTC by Jeff Layton
Modified: 2019-11-27 22:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:54:20 UTC


Attachments (Terms of Use)
File: backtrace (10.81 KB, text/plain)
2018-12-07 13:29 UTC, Jeff Layton
no flags Details
File: cgroup (389 bytes, text/plain)
2018-12-07 13:29 UTC, Jeff Layton
no flags Details
File: core_backtrace (2.33 KB, text/plain)
2018-12-07 13:29 UTC, Jeff Layton
no flags Details
File: cpuinfo (1.44 KB, text/plain)
2018-12-07 13:29 UTC, Jeff Layton
no flags Details
File: dso_list (495 bytes, text/plain)
2018-12-07 13:29 UTC, Jeff Layton
no flags Details
File: environ (7.12 KB, text/plain)
2018-12-07 13:29 UTC, Jeff Layton
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-07 13:29 UTC, Jeff Layton
no flags Details
File: maps (3.71 KB, text/plain)
2018-12-07 13:29 UTC, Jeff Layton
no flags Details
File: mountinfo (4.23 KB, text/plain)
2018-12-07 13:29 UTC, Jeff Layton
no flags Details
File: open_fds (283 bytes, text/plain)
2018-12-07 13:30 UTC, Jeff Layton
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2018-12-07 13:30 UTC, Jeff Layton
no flags Details

Description Jeff Layton 2018-12-07 13:29:49 UTC
Description of problem:
Did a "change this string" and afterward it crashed.

Version-Release number of selected component:
cscope-15.9-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        cscope -p3 -R
crash_function: changestring
executable:     /usr/bin/cscope
journald_cursor: s=2d4df70312d4499a83542871d71871bc;i=2d7d5;b=62ac6ae6defe4d0ab4718fd2407ccb84;m=192378c9c;t=57c6e83a09973;x=e64bf25ffa9f9120
kernel:         4.19.6-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            4447

Truncated backtrace:
Thread no. 1 (2 frames)
 #6 changestring at command.c:806
 #7 command at command.c:536

Comment 1 Jeff Layton 2018-12-07 13:29:52 UTC
Created attachment 1512503 [details]
File: backtrace

Comment 2 Jeff Layton 2018-12-07 13:29:53 UTC
Created attachment 1512504 [details]
File: cgroup

Comment 3 Jeff Layton 2018-12-07 13:29:54 UTC
Created attachment 1512505 [details]
File: core_backtrace

Comment 4 Jeff Layton 2018-12-07 13:29:55 UTC
Created attachment 1512506 [details]
File: cpuinfo

Comment 5 Jeff Layton 2018-12-07 13:29:55 UTC
Created attachment 1512507 [details]
File: dso_list

Comment 6 Jeff Layton 2018-12-07 13:29:56 UTC
Created attachment 1512508 [details]
File: environ

Comment 7 Jeff Layton 2018-12-07 13:29:57 UTC
Created attachment 1512509 [details]
File: limits

Comment 8 Jeff Layton 2018-12-07 13:29:58 UTC
Created attachment 1512510 [details]
File: maps

Comment 9 Jeff Layton 2018-12-07 13:29:59 UTC
Created attachment 1512511 [details]
File: mountinfo

Comment 10 Jeff Layton 2018-12-07 13:30:00 UTC
Created attachment 1512512 [details]
File: open_fds

Comment 11 Jeff Layton 2018-12-07 13:30:01 UTC
Created attachment 1512513 [details]
File: proc_pid_status

Comment 12 Neil Horman 2018-12-07 15:41:51 UTC
looks like there was a double close in place in that function, likely raised the ABORT signal in glibc trying to close an already closed fd. Try this test build please, and confirm that it solves your problem:

https://koji.fedoraproject.org/koji/taskinfo?taskID=31333656

Comment 13 Neil Horman 2019-04-10 16:51:31 UTC
ping jeff, any update here?

Comment 14 Jeff Layton 2019-04-10 18:10:58 UTC
Oof, sorry Neil. I somehow missed when you posted the link originally. Can you redo the build and I'll retest it.

Comment 15 Neil Horman 2019-04-11 11:12:01 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=34109187

There you go

Comment 16 Jeff Layton 2019-04-11 11:50:44 UTC
I don't recall exactly what I was doing when this crash occurred over a year ago, but I downloaded the package and did a "Change this text string:" operation on the kernel tree and it worked just fine. I say ship it.

Comment 17 Neil Horman 2019-04-16 13:35:05 UTC
copy that, thanks!

Comment 18 Fedora Update System 2019-04-16 15:11:06 UTC
cscope-15.9-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f5ac953576

Comment 19 Fedora Update System 2019-04-18 22:12:57 UTC
cscope-15.9-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f5ac953576

Comment 20 Ben Cotton 2019-10-31 19:07:11 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 21 Ben Cotton 2019-11-27 22:54:20 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.